/* This file is part of David Deaven's personal library.
 * Copyright (c) 1996 David Deaven
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * $Id: Object.h,v 1.1 1996/11/16 15:03:40 deaven Exp deaven $
 * $Author: deaven $
 */

#ifndef _DMD_Iterator_h_
#define _DMD_Iterator_h_

/* Iterate through a sequence of objects.
 */
class DIterator : public DInterface {
public:
    DIterator();
    virtual ~DIterator();

    // next object or NULL
    virtual DObject& next();

    // previous object
    virtual DObject& prev();

    // check to see if there are more elemets.
    virtual bool hasMoreElements();

};

#endif // _DMD_Iterator_h_
