/* This file is part of David Deaven's personal library.
 * Copyright (c) 1994 David Deaven
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * $Id: eisdiag.h,v 1.2 1995/08/29 22:45:15 deaven Exp deaven $
 * $Author: deaven $
 */

#ifndef _EISDIAG_H_
#define _EISDIAG_H_

#ifdef __cplusplus
extern "C" {
#endif

int eistred2(double* z, int n, double* d, double* e);
int eistql2(double* d, double* e,int n, double * z);
void eishtridi(int n, double *ar, double *ai,
	double *d, double *e, double *e2, double *tau);
int eistql1(int n, double *d, double *e);

#ifdef __cplusplus
}
#endif

#endif /*  _EISDIAG_H_ */
